Name:           showimg
Version:        0.9.4.1
Release:        2
Epoch:          0
Summary:        Feature-rich image viewer for KDE.

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.jalix.org/projects/showimg
Source0:        http://www.jalix.org/projects/showimg/download/0.9.4-1/showimg-0.9.4-1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  kdebase-devel >= 6:3.0.0
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  libkipi-devel, libkexif-devel, libexif-devel

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
ShowImg is a feature-rich image viewer for KDE including an
image management system. It is highly configurable and supports
numerous image formats.


%prep
%setup -q -n %{name}-0.9.4-1
#perl -pi -e 's/KDE_DOCS=AUTO/KDE_DOCS=showimg/g' doc/??/Makefile.am


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath \
           --disable-debug \
#           --enable-final \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Viewer \
  --add-category Graphics \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/apps/showimg/convert2png.pl
#find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/%{name}
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/showimgpart/showimgpart.rc
%{_datadir}/services/showimgpart.desktop
%{_datadir}/icons/*/*/apps/*
%{_mandir}/man1/*
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/mimelnk/image/*.desktop
%{_libdir}/kde3/libshowimgpart.*
%{_libdir}/libshowimgcore.*


%changelog
* Mon Jan 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4.1-2
- rebuild for libkexif 0.2.1

* Thu Jan 20 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4.1-0.fdr.1
- version 0.9.4-1: fixes a dependency problem on libkexif 0.2.x

* Wed Dec 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.2
- fix BuildRequires

* Tue Nov 30 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.1
- version 0.9.4 final
- remove perl script requiring the GIMP module until it is packaged

* Mon Nov 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.0.3.rc2
- update to rc2

* Mon Nov 15 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.0.2.rc1
- update to rc1

* Sun Sep 26 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.1
- version 0.9.4
- drop support for FC1 (EOL)
- use libkipi for plugins

* Tue Jul 06 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.1
- version 0.9.3
- make digikam support conditionnal

* Tue Mar 23 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.1
- version 0.9.2

* Mon Mar 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.2
- let rpm set dependencies on libjpeg and kdelibs
- desktop file for kde32 should not have the fedora prefix

* Sun Mar 21 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.1
- Initial RPM release.
